import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayerDescription extends AnnotationLayerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ca;
    get targetSeriesRef(): string;
    set targetSeriesRef(a: string);
    private b3;
    get useInterpolation(): boolean;
    set useInterpolation(a: boolean);
    private b8;
    get highlightType(): string;
    set highlightType(a: string);
    private b9;
    get markerTemplateRef(): string;
    set markerTemplateRef(a: string);
    private b6;
    get bandHighlightWidth(): number;
    set bandHighlightWidth(a: number);
    private b2;
    get skipUnknownValues(): boolean;
    set skipUnknownValues(a: boolean);
}
